Get value lists
- Base URL
-
https://{kibana_url}
- GET /api/lists/_find
- GET /s/{space_id}/api/lists/_find
Refer to Spaces for more information.
Get a paginated subset of value lists. By default, the first page is returned, with 20 results per page.
Query parameters
-
sort_fieldstring · format: nonempty · min length: 1 -
Determines which field is used to sort the results.
-
Example:
name -
cursorstring · format: nonempty · min length: 1 -
Returns the lists that come after the last lists returned in the previous call (use the
cursorvalue returned in the previous call). This parameter uses thetie_breaker_idfield to ensure all lists are sorted and returned correctly. -
Example:
WzIwLFsiYjU3Yzc2MmMtMzAzNi00NjVjLTliZmItN2JmYjVlNmU1MTVhIl1d
Responses
Successful response
-
dataobjectrequired -
_versionstring -
The version id, normally returned by the API when the document is retrieved. Use it ensure updates are done against the latest version.
-
tie_breaker_idstringrequired -
Field used in search to ensure all containers are sorted and returned correctly.
-
typerequired -
Specifies the Elasticsearch data type of excludes the list container holds. Some common examples:
keyword: Many ECS fields are Elasticsearch keywordsip: IP addressesip_range: Range of IP addresses (supports IPv4, IPv6, and CIDR notation)
-
Values:
binarybooleanbytedatedate_nanosdate_rangedoubledouble_rangefloatfloat_rangegeo_pointgeo_shapehalf_floatintegerinteger_rangeipip_rangekeywordlonglong_rangeshapeshorttext
Invalid input data response
Unsuccessful authentication response
Not enough privileges response